No pysdl2 installation found

Post here to get support
Post Reply
germanshepherd
Beginner
Posts: 6
Joined: Thu Mar 25, 2021 7:22 pm

No pysdl2 installation found

Post by germanshepherd »

Hi, I followed the instructions to day on my Win64 but unable to start the cfclient.
Recieved the following line:

CRITICAL:cfclient.gui:No pysdl2 installation found, exiting!

As an artist aproaching crazyflie I have no idea, what to do.
Thanks for help.
kimberly
Bitcraze
Posts: 784
Joined: Fri Jul 06, 2018 11:13 am

Re: No pysdl2 installation found

Post by kimberly »

Hi!

We need a bit more information in order to help you further:
- Which instructions did you use? From the getting started tutorial or the installation instructions on github?
- Did you install from the latest release or from source?
- Which version of python do you have?
- Did you upgrade your pip?

For version 2019.1, we still have an windows executable, however this does not include the latest versions for the lighthouse, but maybe if you just want to try the client out quickly it is an alternative.
germanshepherd
Beginner
Posts: 6
Joined: Thu Mar 25, 2021 7:22 pm

Re: No pysdl2 installation found

Post by germanshepherd »

Wunderbar!
2019.1 works for me.
kimberly
Bitcraze
Posts: 784
Joined: Fri Jul 06, 2018 11:13 am

Re: No pysdl2 installation found

Post by kimberly »

Great!

Just mind that we are not planning to release an .exe in the near future, so if you want to use any of the new features, you can try:

Code: Select all

pip uninstall cfclient
pip install cfclient
I tried this on my windows and this works fine. The pysdl2 issue has been recently fixed.
germanshepherd
Beginner
Posts: 6
Joined: Thu Mar 25, 2021 7:22 pm

Re: No pysdl2 installation found

Post by germanshepherd »

Superb!
I tried again to install everything fresh on Windows - failed - read your lines - followed your instructions - WORKS!

I have a linux machine too, but only Ubuntu 18
Will it work with this version?

Wich machine do you recomend for working with the lighthouse environment?

Greetings from Leipzig
arnaud
Bitcraze
Posts: 2475
Joined: Tue Feb 06, 2007 12:36 pm

Re: No pysdl2 installation found

Post by arnaud »

Hi,

If you want to develop for the Crazyflie, it is usually easier to use Linux since all the build environment work on it without trouble (and most of us at Bitcrare are on Linux).

It would be better to be on Ubuntu 20.04, things like gcc-arm-none-eabi are now in the Usbuntu repos and do not require any special handling (just apt-get intall).

Finally, "pip3 install cfclient" should work fine on Ubuntu 18.04. If pip complains, it might be require to update it with "pip3 install pip --upgrade. This is required for sure for Ubuntu 16.04, I think the Ubuntu 18 pip is recent enough but if not, this is how to fix it.
Post Reply